Bug 202384 - Review Request: dates
Review Request: dates
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-13 21:48 EDT by Jesse Keating
Modified: 2013-01-09 21:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 11:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-08-13 21:48:22 EDT
Spec URL: http://people.redhat.com/jkeating/extras/dates/dates.spec
SRPM URL: http://people.redhat.com/jkeating/extras/dates/dates-0.1-1.20060813svn.src.rpm

Description: 
Dates is a small, lightweight calendar that uses Evolution Data Server as a
backend. Dates features an innovative, unified, zooming view and is designed
for use on primarily hand-held devices. It features both a ‘vanilla’ GTK
user interface and tailored support for the Nokia 770 maemo interface.

rpmlint complains about mixed tabs and spaces, but I'm having a hard time finding that.

Also, no docs for -devel but I think thats ignorable.
Comment 1 Jesse Keating 2006-08-13 22:06:17 EDT
When using dates, I discovered that it cannot display recurring events.  I've
filed a bug upstream: http://bugzilla.o-hand.com/show_bug.cgi?id=136
Comment 2 Peter Gordon 2006-08-14 02:11:46 EDT
(In reply to comment #0)
> Also, no docs for -devel but I think thats ignorable.

Wouldn't it be more appropriate to simply add the COPYING file to %doc in this case?

Comment 3 Jesse Keating 2006-08-14 07:57:03 EDT
COPYING is already in the main package, and the devel package requires the main
package.  Putting it in the devel package seems silly to me, and just fiddling
to make rpmlint happy on a warning.  If there are ever any development docs I'll
add them to the devel package, but for now there are hardly _ANY_ docs to speak of.
Comment 4 Brian Pepple 2006-08-14 10:57:32 EDT
PUBLISH +1

Good:
* tarball verified against svn
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* Desktop entry is fine
* All necessary BuildRequires listed.
* All desired features are enabled
* Make succeeds even when %{_smp_mflags} is defined
* Scriptlets look good.
* Files have appropriate permissions and owners
* Package installs and uninstalls cleanly on FC5
* rpmlint is basically clean. The warning about the devel package not having
docs can be ignored.
Comment 5 Jesse Keating 2006-08-14 11:41:22 EDT
Dates has been built for extras-development.  Cheers!

Note You need to log in before you can comment on or make changes to this bug.